Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035750
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-04-11 06:012017-05-02 11:57
ReporterguillermogilView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRR17Q3
StatusclosedFix in branchFixed in SCM revision530272df12d8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035750: RFID is not active when you login on WebPOS

DescriptionRFID is in a wrong status when you login on WebPOS although connection is established. (See image attached)
If you click the button it deactivates perfectly.

If it is configured and connection is established it should be active once logged in.

This rely on an status that RFID is active but WebPOS does not recognize it and products are not getting scanned but added in the buffer.

This has been tested with embiPOS device although it seems to be a sockets issue on WebPOS side.
Steps To ReproduceConfigure HardwareURL
Set Use RFID
Login on WebPOS

Once logged in you will see it is not connected
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2017-04-11 12-29-17.png [^] (12,229 bytes) 2017-04-11 06:30


diff file icon rfidMenu.diff [^] (769 bytes) 2017-04-12 06:10 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0095984)
hgbot (developer)
2017-04-11 15:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b21bfc4f9aecfeb4e49ca917774c659f2cea0f2d
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Apr 11 11:42:40 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b21bfc4f9aecfeb4e49ca917774c659f2cea0f2d [^]

Fixed issue 35750. Force removal of wrong css classes when initializing components, to ensure that no more than one class exists on the RFID components.

---
M web/org.openbravo.retail.posterminal/js/components/menu.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-right.js
---
(0095994)
guillermogil (manager)
2017-04-12 06:00
edited on: 2017-04-12 06:10

It is not working as expected.
If RFID is active but HWM not open you can see on scan button that it is on Error status but on Menu entry you will see it is Active, which is wrong.

See diff attached for solution.

(0096031)
hgbot (developer)
2017-04-12 13:37

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 530272df12d89d6a3e95e29a76169f6b8c0ab818
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Apr 12 09:19:18 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/530272df12d89d6a3e95e29a76169f6b8c0ab818 [^]

Fixed issue 35750. Offline css class will be set also in the case connected is false.

---
M web/org.openbravo.retail.posterminal/js/components/menu.js
---

- Issue History
Date Modified Username Field Change
2017-04-11 06:01 guillermogil New Issue
2017-04-11 06:01 guillermogil Assigned To => Retail
2017-04-11 06:01 guillermogil Triggers an Emergency Pack => No
2017-04-11 06:04 guillermogil Description Updated View Revisions
2017-04-11 06:04 guillermogil Description Updated View Revisions
2017-04-11 06:09 guillermogil Description Updated View Revisions
2017-04-11 06:30 guillermogil File Added: Screenshot from 2017-04-11 12-29-17.png
2017-04-11 15:23 hgbot Checkin
2017-04-11 15:23 hgbot Note Added: 0095984
2017-04-11 15:23 hgbot Status new => resolved
2017-04-11 15:23 hgbot Resolution open => fixed
2017-04-11 15:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b21bfc4f9aecfeb4e49ca917774c659f2cea0f2d [^]
2017-04-11 15:39 marvintm Assigned To Retail => marvintm
2017-04-12 06:00 guillermogil Note Added: 0095994
2017-04-12 06:00 guillermogil Status resolved => new
2017-04-12 06:00 guillermogil Resolution fixed => open
2017-04-12 06:10 guillermogil File Added: rfidMenu.diff
2017-04-12 06:10 guillermogil Note Edited: 0095994 View Revisions
2017-04-12 13:37 hgbot Checkin
2017-04-12 13:37 hgbot Note Added: 0096031
2017-04-12 13:37 hgbot Status new => resolved
2017-04-12 13:37 hgbot Resolution open => fixed
2017-04-12 13:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b21bfc4f9aecfeb4e49ca917774c659f2cea0f2d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/530272df12d89d6a3e95e29a76169f6b8c0ab818 [^]
2017-05-02 11:57 guilleaer Review Assigned To => guilleaer
2017-05-02 11:57 guilleaer Status resolved => closed
2017-05-02 11:57 guilleaer Fixed in Version => RR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker